<?php
/**
 * @package Multi Advance
 * @subpackage multi_advance
 * @since multi-advance 1.0
 * Setup the WordPress core custom header feature.
 *
 * @uses multi_advance_header_style()
*/

function multi_advance_custom_header_setup() {

	add_theme_support( 'custom-header', apply_filters( 'multi_advance_custom_header_args', array(
		'default-text-color'     => 'fff',
		'header-text' 			 =>	false,
		'width'                  => 1400,
		'height'                 => 115,
		'flex-width'         	=> true,
        'flex-height'        	=> true,
		'wp-head-callback'       => 'multi_advance_header_style',
	) ) );
}

add_action( 'after_setup_theme', 'multi_advance_custom_header_setup' );

if ( ! function_exists( 'multi_advance_header_style' ) ) :
/**
 * Styles the header image and text displayed on the blog
 *
 * @see multi_advance_custom_header_setup().
 */
add_action( 'wp_enqueue_scripts', 'multi_advance_header_style' );
function multi_advance_header_style() {
	//Check if user has defined any header image.
	if ( get_header_image() ) :
	$multi_advance_custom_css = "
        .middle-header{
			background-image:url('".esc_url(get_header_image())."');
			background-position: center top;
			background-size: cover;
		}";
	   	wp_add_inline_style( 'multi-advance-basic-style', $multi_advance_custom_css );
	endif;
}
endif; // multi_advance_header_style